/*
 * @Author: wufan
 * @Date: 2020-12-12 11:57:10
 * @LastEditors: wufan
 * @LastEditTime: 2021-07-05 15:07:13
 * @Description: Description
 * @@Copyrigh: © 2020 杭州杰竞科技有限公司 版权所有
 */

import Service from "@/common/js/service";

export function fetchLecturerData(params: object) {
  return Service.Hades("public/courseCloud/queryTeacherVisitData", params);
}
export function fetchWorkWXLecturerData(params: object) {
  return Service.Hades("public/courseCloud/queryWechatLiveTeacherData", params);
}
export function getQrcode(params: object) {
  return Service.Sales("public/businessShow/convertShortUrls", params);
}

export function fetchUserData(params: object) {
  return Service.Hades("public/courseCloud/queryStudentVisitData", params);
}
export function fetchWorkWXUserData(params: object) {
  return Service.Hades("public/courseCloud/queryWechatLiveStudentData", params);
}

export function createLiveCloudCourse(params: object) {
  return Service.Hades("public/courseCloud/createLiveCloudCourse", params);
}

export function createWorkWXLiveCourse(params: object) {
  return Service.Hades("public/courseCloud/createWechatLiveCourse", params);
}

export function getLiveCloudCoursePage(params: object) {
  return Service.Hades("public/courseCloud/getLiveCloudCoursePage", params);
}

export function exportStudentCourseData(params: object) {
  return Service.Hades("public/courseCloud/exportCourseCloudVisitorAsync", params);
}

export function exportWorkWXStudentCourseData(params: object) {
  return Service.Hades("public/courseCloud/exportWechatLiveStudentData", params);
}

export function exportPlayBackCourseData(params: object) {
  return Service.Hades("public/courseCloud/exportCourseCloudPlayBackSync", params);
}
export function fetchPlaybackList(params: object) {
  return Service.Hades("public/courseCloud/getUserReplayRecordPage", params);
}
export function getLiveCloudCourseDetail(params: object) {
  return Service.Hades("public/courseCloud/getLiveCloudCourseDetail", params);
}

export function getWorkWXLiveCourseDetail(params: object) {
  return Service.Hades("public/courseCloud/getWechatLiveCourseDetail", params)
}

export function updateLiveCloudCourse(params: object) {
  return Service.Hades("public/courseCloud/updateLiveCloudCourse", params);
}

export function updateWorkWXLiveCourse(params: object) {
  return Service.Hades("public/courseCloud/editWechatLiveCourse", params);
}

export function turnOnOrOffLiveCloudCourse(params: object) {
  return Service.Hades("public/courseCloud/turnOnOrOffLiveCloudCourse", params);
}
export function delLiveCloudCourse(params: object) {
  return Service.Hades("public/courseCloud/delLiveCloudCourse", params);
}
export function delWorkWXLiveCourse(params: object) {
  return Service.Hades("public/courseCloud/delWechatLiveCourse", params);
}
//该接口主要用于培训计划关联直播课的接口（会筛选掉已关联的直播课）
export function getLiveCloudCourseBasePage(params: object) {
  return Service.Hades("public/courseCloud/getLiveCloudCourseBasePage", params);
}

//线上课相关接口
export function changeVideoShelfState(params: object) {
  return Service.Hades("public/hades/changeVideoShelfState", params);
}
export function createVideoSchedule(params: object) {
  return Service.Hades("public/hades/createVideoSchedule", params);
}
export function delVideoSchedule(params: object) {
  return Service.Hades("public/hades/delVideoSchedule", params);
}
export function editVideoSchedule(params: object) {
  return Service.Hades("public/hades/editVideoSchedule", params);
}
export function userWatchInfo(params: object) {
  return Service.Hades("public/hades/userWatchInfo", params);
}
export function lineDetailWatchInfo(params: object) {
  return Service.Hades("public/hades/lineDetailWatchInfo", params);
}
export function videoScheduleDetail(params: object) {
  return Service.Hades("public/hades/videoScheduleDetail", params);
}
export function videoSchedulePage(params: object) {
  return Service.Hades("public/hades/videoSchedulePage", params);
}
export function videoWatchInfo(params: object) {
  return Service.Hades("public/hades/videoWatchInfo", params);
}
export function videoScheduleBasePage(params: object) {
  return Service.Hades("public/hades/videoScheduleBasePage", params);
}
export function relatedCourseToPlan(params: object) {
  return Service.Hades("public/hades/relatedCourseToPlan", params);
}
export function knowledgeMediaCoursePage(params: object) {
  return Service.Hades("public/hades/knowledgeMediaCoursePage", params);
}
export function getCategoryTree(params: object) {
  return Service.Hades("public/hades/queryKnowledgeCategoryTree", params);
}
